[OE-core] [PATCH] qemu: Fixed running QEMU with virtio error reporting

Cristian Iorga cristian.iorga at intel.com
Wed Oct 3 10:51:46 UTC 2012


If vhost_net module is not properly installed,
runqemu script will report the error and
provide the user with a link to the guide.
Also corrected small cosmetic issues in
runqemu script messages.

Fixes [YOCTO #3184]

Signed-off-by: Cristian Iorga <cristian.iorga at intel.com>
---
 scripts/runqemu |   10 +++++-----
 1 file changed, 5 insertions(+), 5 deletions(-)

diff --git a/scripts/runqemu b/scripts/runqemu
index e6e43f2..5608c72 100755
--- a/scripts/runqemu
+++ b/scripts/runqemu
@@ -223,13 +223,13 @@ if [ "x$KVM_ENABLED" = "xyes" ]; then
     fi
     if [ ! -e /dev/kvm ]; then
         echo "Missing KVM device. Have you inserted kvm modules?"
-        echo "For further help see"
+        echo "For further help see:"
         echo "$YOCTO_KVM_WIKI";
         exit 1;
     fi
     if [ ! -e /dev/vhost-net ]; then
         echo "Missing virtio net device. Have you inserted vhost-net module?"
-        echo "For further help see"
+        echo "For further help see:"
         echo "$YOCTO_PARAVIRT_KVM_WIKI";
         exit 1;
     fi
@@ -238,13 +238,13 @@ if [ "x$KVM_ENABLED" = "xyes" ]; then
         KVM_ACTIVE="yes"
     else
         echo "You have no rights on /dev/kvm."
-        echo "Please change the ownership of this file as described at"
+        echo "Please change the ownership of this file as described at:"
         echo "$YOCTO_KVM_WIKI";
         exit 1;
     fi
-    if [ ! -w /dev/vhost-net -a -r /dev/vhost-net ]; then
+    if ! 9<>/dev/vhost-net ; then
         echo "You have no rights on /dev/vhost-net."
-        echo "Please change the ownership of this file as described at"
+        echo "Please change the ownership of this file as described at:"
         echo "$YOCTO_PARAVIRT_KVM_WIKI";
         exit 1;
     fi
-- 
1.7.9.5





More information about the Openembedded-core mailing list